import request from '@/utils/request'

// list
export function getStreetList(query) {
  return request({
    url: '/shian/street/list',
    method: 'get',
    params:query
  })
}

// export
export function exportStreet(query) {
    return request({
        url: '/shian/street/export',
        method: 'get',
         params:query
    })
}

// DELETE
export function deleteStreet(ids) { 
    return request({
        url: `/shian/street/${ids}`,
        method:'DELETE'
    })
}

// info
export function getinfo(id) { 
    return request({
        url: `/shian/street/${id}`,
        method:'get'
    })
}

// add
export function addStreet(data) { 
    return request({
        url: '/shian/street',
        method: 'post',
        data
    })
}

// update
export function updataStreet(data) { 
    return request({
        url: '/shian/street',
        method:'put',
        data
    })
}